RagTime5GraphInternal::Shape Struct Reference

Internal: the shape of a RagTime5Graph. More...

## Public Types

enum | Type { S_Line , S_Rect , S_RectOval , S_Circle , S_Pie , S_Arc , S_Polygon , S_Spline , S_RegularPoly , S_TextBox , S_Group , S_Unknown }
| the different shape More...

## Public Member Functions

| Shape ()
| constructor
MWAWBox2f | getBdBox () const
| return the shape bdbox

## Public Attributes

int | m_id
| the shape id
int | m_parentId
| the shape parent id
int | m_linkId
| the link to a zone id
int | m_partId
| the link part id
Type | m_type
| the shape type
MWAWBox2f | m_dimension
| the dimension
MWAWGraphicShape | m_shape
| the graphic shape
std::vector< int > | m_childIdList
| the child list (for group)
uint32_t | m_flags
| the shape flag
int | m_borderId
| the border id
int | m_graphicId
| the graphic id
int | m_transformId
| the transformation id
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<<

## Detailed Description

Internal: the shape of a RagTime5Graph.

## Member Enumeration Documentation

## Type

enum RagTime5GraphInternal::Shape::Type

the different shape

Enumerator
S_Line |
S_Rect |
S_RectOval |
S_Circle |
S_Pie |
S_Arc |
S_Polygon |
S_Spline |
S_RegularPoly |
S_TextBox |
S_Group |
S_Unknown |

## Constructor & Destructor Documentation

## Shape()

RagTime5GraphInternal::Shape::Shape | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getBdBox()

MWAWBox2f RagTime5GraphInternal::Shape::getBdBox | ( |  | ) | const

inline

return the shape bdbox

Referenced by RagTime5Graph::send().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Shape const & | shape )

friend

operator<<

## Member Data Documentation

## m_borderId

int RagTime5GraphInternal::Shape::m_borderId

the border id

Referenced by operator<<, RagTime5Graph::send(), and Shape().

## m_childIdList

std::vector<int> RagTime5GraphInternal::Shape::m_childIdList

the child list (for group)

Referenced by RagTime5Graph::checkGraphicCluster(), operator<<, RagTime5Graph::send(), and Shape().

## m_dimension

MWAWBox2f RagTime5GraphInternal::Shape::m_dimension

the dimension

Referenced by getBdBox(), operator<<, and Shape().

## m_extra

std::string RagTime5GraphInternal::Shape::m_extra

extra data

Referenced by operator<<, and Shape().

## m_flags

uint32_t RagTime5GraphInternal::Shape::m_flags

the shape flag

Referenced by operator<<, RagTime5Graph::send(), and Shape().

## m_graphicId

int RagTime5GraphInternal::Shape::m_graphicId

the graphic id

Referenced by operator<<, RagTime5Graph::send(), and Shape().

## m_id

int RagTime5GraphInternal::Shape::m_id

the shape id

Referenced by operator<<, and Shape().

## m_linkId

int RagTime5GraphInternal::Shape::m_linkId

the link to a zone id

Referenced by operator<<, RagTime5Graph::send(), and Shape().

## m_parentId

int RagTime5GraphInternal::Shape::m_parentId

the shape parent id

Referenced by RagTime5Graph::checkGraphicCluster(), operator<<, and Shape().

## m_partId

int RagTime5GraphInternal::Shape::m_partId

the link part id

Referenced by operator<<, RagTime5Graph::send(), and Shape().

## m_shape

MWAWGraphicShape RagTime5GraphInternal::Shape::m_shape

the graphic shape

Referenced by getBdBox(), RagTime5Graph::send(), and Shape().

## m_transformId

int RagTime5GraphInternal::Shape::m_transformId

the transformation id

Referenced by operator<<, and Shape().

## m_type

Type RagTime5GraphInternal::Shape::m_type

the shape type

Referenced by RagTime5Graph::checkGraphicCluster(), getBdBox(), operator<<, RagTime5Graph::send(), and Shape().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx